## org.hibernate.cache
Interface CacheDataDescription

All Known Implementing Classes:
  CacheDataDescriptionImpl

    public interface CacheDataDescription

Describes attributes regarding the type of data to be cached.

Author:
  Steve Ebersole

Method Summary
`Comparator` `getVersionComparator()` Get the comparator used to compare two different version values.
`boolean` `isMutable()` Is the data marked as being mutable?
`boolean` `isVersioned()` Is the data to be cached considered versioned? If true, it is illegal for `getVersionComparator()` to return null.

Method Detail

### isMutable

    boolean isMutable()

  Is the data marked as being mutable?

  Returns:
    True if the data is mutable; false otherwise.

### isVersioned

    boolean isVersioned()

  Is the data to be cached considered versioned?

  If true, it is illegal for `getVersionComparator()` to return null.

  Returns:
    True if the data is versioned; false otherwise.

### getVersionComparator

    Comparator getVersionComparator()

  Get the comparator used to compare two different version values.

  May return null if `isVersioned()` returns false.

  Returns:

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.